For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Propertyware
        • POSTCreate Recurring Resident Charge: Propertyware
        • PUTUpdate Recurring Resident Charge: Propertyware
        • POSTCreate Resident Payment: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPBilling and Payments

Get all resident charges

GET
/v1/resident-charges/
GET
/v1/resident-charges/
$curl https://api.propexo.com/v1/resident-charges/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "clwktsp9v000008l31iv218hn",
17 "created_at": "2024-03-21T15:38:08.337Z",
18 "updated_at": "2024-03-22T10:59:45.119Z",
19 "last_seen": "2024-03-22T10:59:45.119Z",
20 "x_id": "ext-charge-987654321",
21 "x_property_id": "ext-prop-123456789",
22 "x_gl_account_id": "gl-acc-456789123",
23 "x_location_id": null,
24 "x_lease_id": "ext-lease-321654987",
25 "x_resident_id": null,
26 "x_unit_id": "unit-101A",
27 "x_charge_code_id": null,
28 "amount_in_cents": 325000,
29 "amount_raw": "3250.00",
30 "amount_open_in_cents": null,
31 "amount_open_raw": null,
32 "amount_paid_in_cents": null,
33 "amount_paid_raw": null,
34 "due_date": null,
35 "name": "Monthly Rent",
36 "description": "Rent charge for April 2024",
37 "reference_number": "INV-20240401-0001",
38 "transaction_date": "2024-04-01",
39 "transaction_source": null,
40 "is_open": null,
41 "post_month": null,
42 "custom_data": {},
43 "integration_id": "clwh5u07w000508me66sfh3um",
44 "integration_vendor": "PROPERTYWARE",
45 "property_id": "clwi5xiix000008l6ctdgafyh",
46 "resident_id": null,
47 "financial_account_id": "fin-acc-789123456",
48 "unit_id": null,
49 "lease_id": null,
50 "charge_code_id": null,
51 "allocations": [
52 {
53 "id": "clwktsp9v000008l31iv218hn",
54 "x_id": "alloc-123456789",
55 "x_source_id": "txn-987654321",
56 "x_destination_id": "txn-123456789",
57 "financial_account_id": "fin-acc-789123456",
58 "amount_in_cents": 325000,
59 "amount_raw": "3250.00",
60 "resident_charge_id": "clwktsp9v000008l31iv218hn",
61 "resident_payment_id": "pay-456789123",
62 "created_at": "2024-03-21T15:38:08.337Z",
63 "updated_at": "2024-03-22T10:59:45.119Z",
64 "last_seen": "2024-03-22T10:59:45.119Z",
65 "custom_data": {}
66 }
67 ]
68 }
69 ]
70}
The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Was this page helpful?
Previous

Get a resident charge by ID

Next
Built with

The Resident Charges model provides a limited, one-sided view of a resident’s financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident’s ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
resident_idstringOptional
The Propexo unique identifier for the resident
lease_idstringOptional
The Propexo unique identifier for the lease
transaction_date_startstring or nullOptional
The start of the transaction date range to search. Inclusive.
transaction_date_endstring or nullOptional
The end of the transaction date range to search. Inclusive.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error